Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154255 - altwin in xkb/symbols generates problematic keycodes
Summary: altwin in xkb/symbols generates problematic keycodes
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-08 18:55 UTC by Gérard Milmeister
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-22 21:23:26 UTC


Attachments (Terms of Use)

Description Gérard Milmeister 2005-04-08 18:55:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Galeon/1.3.20

Description of problem:
This problems occurs if one has altwin(left_meta_win) added to the keymap.
Then Win+key does not generate Meta+key in Emacs, but H-S-M+key.
The newsgroup article
http://groups.google.ch/groups?hl=en&lr=&threadm=pan.2004.06.09.16.18.36.104570%40imap.cc&rnum=1&prev=/groups%3Fq%3Demacs%2Bmeta%2Bkey%2Bfedora%26hl%3Den%26lr%3D%26selm%3Dpan.2004.06.09.16.18.36.104570%2540imap.cc%26rnum%3D1
explains the problem, a solution is also given.
BTW, what's mod1 to mod4 anyway?


Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-1.FC3.13

How reproducible:
Always

Steps to Reproduce:
 

Additional info:

Comment 1 Jens Petersen 2005-04-11 12:22:04 UTC
I have a feeling I just fixed this with a patch from debian in
emacs-21.4-1.  Could you please test the latest emacs in rawhide?
Thanks.


Note You need to log in before you can comment on or make changes to this bug.